Автор Тема: Ошибка с репозиториями.  (Прочитано 11732 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн rader

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 12
Ошибка с репозиториями.
« : 01 Ноябрь 2017, 12:49:20 »
Попытка установить ключи вручную со страницы https://ftp-master.debian.org/keys.html ни к чему не привела.
Get:1 http://security.debian.org/debian-security stretch/updates InRelease [62.9 kB]
Ign:2 http://deb.debian.org/debian stretch InRelease
Get:3 http://deb.debian.org/debian stretch-updates InRelease [91.0 kB]
Ign:3 http://deb.debian.org/debian stretch-updates InRelease
Get:4 http://deb.debian.org/debian stretch Release [118 kB]
Ign:1 http://security.debian.org/debian-security stretch/updates InRelease
Get:5 http://deb.debian.org/debian stretch Release.gpg [2,479 B]
Ign:5 http://deb.debian.org/debian stretch Release.gpg
Hit:6 http://deb.debian.org/debian stretch/main Sources
Ign:6 http://deb.debian.org/debian stretch/main Sources
Ign:7 http://deb.debian.org/debian stretch/main i386 Packages
Ign:7 http://deb.debian.org/debian stretch/main i386 Packages
Hit:8 http://deb.debian.org/debian stretch/main Translation-en
Hit:6 http://deb.debian.org/debian stretch/main Sources
Ign:8 http://deb.debian.org/debian stretch/main Translation-en
Ign:6 http://deb.debian.org/debian stretch/main Sources
Ign:7 http://deb.debian.org/debian stretch/main i386 Packages
Ign:6 http://deb.debian.org/debian stretch/main Sources
Err:7 http://deb.debian.org/debian stretch/main i386 Packages
  Could not open file /var/lib/apt/lists/partial/deb.debian.org_debian_dists_stretch_main_binary-i386_Packages.xz - open (13: Permission denied) [IP: 13.33.44.79 80]
Hit:8 http://deb.debian.org/debian stretch/main Translation-en
Ign:6 http://deb.debian.org/debian stretch/main Sources
Fetched 274 kB in 3s (91.0 kB/s)
Reading package lists... Done
W: GPG error: http://deb.debian.org/debian stretch-updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/deb.debian.org_debian_dists_stretch-updates_InRelease
W: The repository 'http://deb.debian.org/debian stretch-updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://security.debian.org/debian-security stretch/updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/security.debian.org_debian-security_dists_stretch_updates_InRelease
W: The repository 'http://security.debian.org/debian-security stretch/updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://deb.debian.org/debian stretch Release: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/deb.debian.org_debian_dists_stretch_Release
W: The repository 'http://deb.debian.org/debian stretch Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://deb.debian.org/debian/dists/stretch/main/binary-i386/Packages  Could not open file /var/lib/apt/lists/partial/deb.debian.org_debian_dists_stretch_main_binary-i386_Packages.xz - open (13: Permission denied) [IP: 13.33.44.79 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.
Через какое то время после установки обновления до debian 9 появились ошибка с apt-get update.

Spoiler: ShowHide

#lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 9.2 (stretch)
Release:        9.2
Codename:       stretch

Spoiler: ShowHide

#uname -a
Linux dbcom.ru 4.9.0-4-686-pae #1 SMP Debian 4.9.51-1 (2017-09-28) i686 GNU/Linux

Spoiler: ShowHide

# cat /etc/apt/sources.list
deb  http://deb.debian.org/debian stretch main
deb-src  http://deb.debian.org/debian stretch main

deb  http://deb.debian.org/debian stretch-updates main
deb-src  http://deb.debian.org/debian stretch-updates main

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
#deb http://security.debian.org/ stretch/updates main
#deb-src http://security.debian.org/ stretch/updates main
« Последнее редактирование: 01 Ноябрь 2017, 13:08:47 от rader »
 


Оффлайн ecc83

  • Ветеран
  • *****
  • Сообщений: 1359
  • Debian, Openbox
Re: Ошибка с репозиториями.
« Ответ #1 : 01 Ноябрь 2017, 13:21:25 »
Измени содержимое файла /etc/apt/sources.list на то что ниже и выполни:

apt-get update

cat /etc/apt/sources.list

deb http://ftp.us.debian.org/debian/ stretch main non-free contrib
# deb-src http://ftp.us.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
# deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ stretch-updates main contrib non-free
# deb-src http://ftp.us.debian.org/debian/ stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates non-free main contrib
 

Оффлайн rader

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 12
Re: Ошибка с репозиториями.
« Ответ #2 : 01 Ноябрь 2017, 14:22:21 »

Spoiler: ShowHide
Измени содержимое файла /etc/apt/sources.list на то что ниже и выполни:

apt-get update

cat /etc/apt/sources.list

deb http://ftp.us.debian.org/debian/ stretch main non-free contrib
# deb-src http://ftp.us.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
# deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ stretch-updates main contrib non-free
# deb-src http://ftp.us.debian.org/debian/ stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates non-free main contrib
[/quote]



Spoiler: ShowHide

Get:1 http://security.debian.org/debian-security stretch/updates InRelease [62.9 kB]
Ign:1 http://security.debian.org/debian-security stretch/updates InRelease
Get:2 http://security.debian.org stretch/updates InRelease [62.9 kB]
Ign:2 http://security.debian.org stretch/updates InRelease
Get:3 http://security.debian.org stretch/updates/non-free i386 Packages [1,272 B]
Get:4 http://security.debian.org stretch/updates/non-free Translation-en [481 B]
Get:5 http://security.debian.org stretch/updates/contrib i386 Packages [1,352 B]
Get:6 http://security.debian.org stretch/updates/contrib Translation-en [1,023 B]
Ign:7 http://ftp.us.debian.org/debian stretch InRelease
Get:8 http://ftp.us.debian.org/debian stretch-updates InRelease [91.0 kB]
Ign:8 http://ftp.us.debian.org/debian stretch-updates InRelease
Get:9 http://ftp.us.debian.org/debian stretch Release [118 kB]
Get:10 http://ftp.us.debian.org/debian stretch-updates/main i386 Packages [5,956 B]
Get:11 http://ftp.us.debian.org/debian stretch-updates/main Translation-en [3,583 B]
Get:12 http://ftp.us.debian.org/debian stretch Release.gpg [2,479 B]
Ign:12 http://ftp.us.debian.org/debian stretch Release.gpg
Get:13 http://ftp.us.debian.org/debian stretch/main i386 Packages [7,077 kB]
Get:14 http://ftp.us.debian.org/debian stretch/main Translation-en [5,395 kB]
Get:15 http://ftp.us.debian.org/debian stretch/non-free i386 Packages [68.9 kB]
Get:16 http://ftp.us.debian.org/debian stretch/non-free Translation-en [79.2 kB]
Get:17 http://ftp.us.debian.org/debian stretch/contrib i386 Packages [47.9 kB]
Get:18 http://ftp.us.debian.org/debian stretch/contrib Translation-en [45.9 kB]
Fetched 13.1 MB in 8s (1,566 kB/s)
Reading package lists... Done
W: GPG error: http://security.debian.org/debian-security stretch/updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/security.debian.org_debian-security_dists_stretch_updates_InRelease
W: The repository 'http://security.debian.org/debian-security stretch/updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://security.debian.org stretch/updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/security.debian.org_dists_stretch_updates_InRelease
W: The repository 'http://security.debian.org stretch/updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://ftp.us.debian.org/debian stretch-updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/ftp.us.debian.org_debian_dists_stretch-updates_InRelease
W: The repository 'http://ftp.us.debian.org/debian stretch-updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: GPG error: http://ftp.us.debian.org/debian stretch Release: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/ftp.us.debian.org_debian_dists_stretch_Release
W: The repository 'http://ftp.us.debian.org/debian stretch Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.

 

Оффлайн ecc83

  • Ветеран
  • *****
  • Сообщений: 1359
  • Debian, Openbox
Re: Ошибка с репозиториями.
« Ответ #3 : 01 Ноябрь 2017, 15:01:59 »
rader, а как ты умудрился ключи грохнуть? Зачем вообще туда лазить?
Теперь восстанавливай.
 

Оффлайн sidbar

  • Старожил
  • ****
  • Сообщений: 619
  • Debian 7, lxde
Re: Ошибка с репозиториями.
« Ответ #4 : 01 Ноябрь 2017, 15:34:06 »
Для проверки
deb [ trusted=yes allow-insecure=yes ] http://security.debian.org/debian-security stretch/updates main contrib
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн rader

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 12
Re: Ошибка с репозиториями.
« Ответ #5 : 01 Ноябрь 2017, 18:40:07 »
rader, а как ты умудрился ключи грохнуть? Зачем вообще туда лазить?
Теперь восстанавливай.
Так получилось... Как восстановить?
 

Онлайн endru

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 1983
  • Новосибирск
Re: Ошибка с репозиториями.
« Ответ #6 : 02 Ноябрь 2017, 04:06:13 »
dpkg -l под спойлером показывай.

Оффлайн rader

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 12
Re: Ошибка с репозиториями.
« Ответ #7 : 02 Ноябрь 2017, 06:56:18 »
Сообщение превышает максимально допустимую длину (60000 знаков). Файлом прикрепил.

Cообщение объединено [time]02 Ноября 2017, 07:03:42[/time]
Для проверки
deb [ trusted=yes allow-insecure=yes ] http://security.debian.org/debian-security stretch/updates main contrib
Spoiler: ShowHide

# cat /etc/apt/sources.list
deb  http://security.debian.org/debian-security stretch/updates main contrib
#apt-get   update
Get:1 http://security.debian.org/debian-security stretch/updates InRelease [63.0 kB]
Ign:1 http://security.debian.org/debian-security stretch/updates InRelease
Fetched 63.0 kB in 0s (236 kB/s)
Reading package lists... Done
W: GPG error: http://security.debian.org/debian-security stretch/updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/security.debian.org_debian-security_dists_stretch_updates_InRelease
W: The repository 'http://security.debian.org/debian-security stretch/updates InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Spoiler: ShowHide

# cat /etc/apt/sources.list
deb [ trusted=yes allow-insecure=yes ] http://security.debian.org/debian-security stretch/updates main contrib
apt-get   update
Get:1 http://security.debian.org/debian-security stretch/updates InRelease [63.0 kB]
Ign:1 http://security.debian.org/debian-security stretch/updates InRelease
Fetched 63.0 kB in 0s (274 kB/s)
Reading package lists... Done
W: GPG error: http://security.debian.org/debian-security stretch/updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/security.debian.org_debian-security_dists_stretch_updates_InRelease



Cообщение объединено [time]02 Ноября 2017, 08:01:38[/time]
#apt-key add /usr/share/keyrings/debian-archive-keyring.gpg
OK
#~# apt-key list
/etc/apt/trusted.gpg
--------------------
pub   rsa4096 2017-05-20 [SC] [expires: 2025-05-18]
      067E 3C45 6BAE 240A CEE8  8F6F EF0F 382A 1A7B 6500
uid           [ unknown] Debian Stable Release Key (9/stretch) <debian-release@lists.debian.org>

pub   rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
      126C 0D24 BD8A 2942 CC7D  F8AC 7638 D044 2B90 D010
uid           [ unknown] Debian Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

pub   rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
      6ED6 F5CB 5FA6 FB2F 460A  E88E EDA0 D238 8AE2 2BA9
uid           [ unknown] Debian Security Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [expires: 2025-05-20]

pub   rsa4096 2013-08-17 [SC] [expires: 2021-08-15]
      75DD C3C4 A499 F1A1 8CB5  F3C8 CBF8 D6FD 518E 17E1
uid           [ unknown] Jessie Stable Release Key <debian-release@lists.debian.org>

pub   rsa4096 2012-04-27 [SC] [expires: 2020-04-25]
      A1BD 8E9D 78F7 FE5C 3E65  D8AF 8B48 AD62 4692 5553
uid           [ unknown] Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>

pub   rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
      D211 6914 1CEC D440 F2EB  8DDA 9D6D 8F6B C857 C906
uid           [ unknown] Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>

pub   rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
      E1CF 20DD FFE4 B89E 8026  58F1 E0B1 1894 F66A EC98
uid           [ unknown] Debian Archive Automatic Signing Key (9/stretch) <ftpmaster@debian.org>
sub   rsa4096 2017-05-22 [S] [expires: 2025-05-20]

pub   rsa4096 2012-05-08 [SC] [expires: 2019-05-07]
      ED6D 6527 1AAC F0FF 15D1  2303 6FB2 A1C2 65FF B764
uid           [ unknown] Wheezy Stable Release Key <debian-release@lists.debian.org>


Как то странно идет с надписью  [ unknown] .

Cообщение объединено [time]02 Ноября 2017, 08:06:44[/time]
wget -O - https://www.ports.debian.org/archive_2016.key | apt-key add -
--2017-11-02 08:06:00--  https://www.ports.debian.org/archive_2016.key
Resolving www.ports.debian.org (www.ports.debian.org)... 5.153.231.4, 128.31.0.62, 130.89.148.14, ...
Connecting to www.ports.debian.org (www.ports.debian.org)|5.153.231.4|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2454 (2.4K) [application/pgp-keys]
Saving to: ‘STDOUT’

-                                         100%[=====================================================================================>]   2.40K  --.-KB/s    in 0s

2017-11-02 08:06:00 (43.2 MB/s) - written to stdout [2454/2454]

OK


Cообщение объединено 02 Ноябрь 2017, 11:34:54
Добавил ключи
apt-key add /usr/share/keyrings/debian-maintainers.gpg
apt-key add /usr/share/keyrings/debian-keyring.gpg
apt-key add /usr/share/keyrings/debian-ports-archive-keyring
apt-key add /usr/share/keyrings/debian-ports-archive-keyring.gpg


Проблема так же сохраняется.
« Последнее редактирование: 02 Ноябрь 2017, 11:34:54 от rader »
 

Оффлайн sidbar

  • Старожил
  • ****
  • Сообщений: 619
  • Debian 7, lxde
Re: Ошибка с репозиториями.
« Ответ #8 : 02 Ноябрь 2017, 13:49:11 »
переименовать или прибить пробовали?
/etc/apt/trusted.gpg
Cообщение объединено 02 Ноябрь 2017, 13:57:02
$ dpkg -l |grep keyring
ii  deb-multimedia-keyring               2016.8.1                          all          GnuPG archive key of the deb-multimedia repository
ii  debian-archive-keyring               2017.5                            all          GnuPG archive keys of the Debian archive
« Последнее редактирование: 02 Ноябрь 2017, 13:57:02 от sidbar »
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн rader

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 12
Re: Ошибка с репозиториями.
« Ответ #9 : 02 Ноябрь 2017, 14:06:59 »
переименовать или прибить пробовали?
/etc/apt/trusted.gpg
Cообщение объединено 02 Ноябрь 2017, 13:57:02
$ dpkg -l |grep keyring
ii  deb-multimedia-keyring               2016.8.1                          all          GnuPG archive key of the deb-multimedia repository
ii  debian-archive-keyring               2017.5                            all          GnuPG archive keys of the Debian archive
Да удалял, переименовывал. debian-archive-keyring  установлен, переустанавливал.
 

Оффлайн sidbar

  • Старожил
  • ****
  • Сообщений: 619
  • Debian 7, lxde
Re: Ошибка с репозиториями.
« Ответ #10 : 02 Ноябрь 2017, 18:50:34 »
apt show debian-archive-keyring?
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн rader

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 12
Re: Ошибка с репозиториями.
« Ответ #11 : 02 Ноябрь 2017, 19:09:46 »
# apt show debian-archive-keyring

Package: debian-archive-keyring
Version: 2017.6
Status: install ok installed
Priority: important
Section: misc
Maintainer: Debian Release Team <packages@release.debian.org>
Installed-Size: 117 kB
Breaks: apt (<< 0.7.25.1)
Download-Size: unknown
APT-Manual-Installed: yes
APT-Sources: /var/lib/dpkg/status
Description: GnuPG archive keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that.

N: There is 1 additional record. Please use the '-a' switch to see it

 

Оффлайн sidbar

  • Старожил
  • ****
  • Сообщений: 619
  • Debian 7, lxde
Re: Ошибка с репозиториями.
« Ответ #12 : 02 Ноябрь 2017, 19:36:28 »
попробуйте версию
apt-get install debian-archive-keyring=2017.5
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн rader

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 12
Re: Ошибка с репозиториями.
« Ответ #13 : 03 Ноябрь 2017, 07:15:30 »
W: GPG error: http://ftp.ru.debian.org/debian stretch-updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/ftp.ru.debian.org_debian_dists_stretch-updates_InRelease
W: GPG error: http://ftp.ru.debian.org/debian stretch-backports InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/ftp.ru.debian.org_debian_dists_stretch-backports_InRelease
W: GPG error: http://ftp.ru.debian.org/debian stretch Release: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/ftp.ru.debian.org_debian_dists_stretch_Release
W: GPG error: http://security.debian.org stretch/updates InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/security.debian.org_dists_stretch_updates_InRelease
W: GPG error: http://nginx.org/packages/debian stretch InRelease: Couldn't execute /usr/bin/apt-key to check /var/lib/apt/lists/partial/nginx.org_packages_debian_dists_stretch_InRelease
E: Failed to fetch http://ftp.ru.debian.org/debian/dists/stretch/main/i18n/Translation-en  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.
Я так понимаю  проблема вся в этом GPG error .

Cообщение объединено [time]03 Ноября 2017, 07:16:18[/time]
попробуйте версию
apt-get install debian-archive-keyring=2017.5
Так же ошибка.

Cообщение объединено 03 Ноябрь 2017, 08:43:09
А в самом  GPG изменений не было в debian 9? У меня debian 8  нормально работал.
« Последнее редактирование: 03 Ноябрь 2017, 08:43:09 от rader »
 

Оффлайн sidbar

  • Старожил
  • ****
  • Сообщений: 619
  • Debian 7, lxde
Re: Ошибка с репозиториями.
« Ответ #14 : 03 Ноябрь 2017, 13:48:01 »
ls -laF /usr/bin/apt-key
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Теги:
 

Ошибка linux-image-3.16.0-4-686-pae

Автор daemon89

Ответов: 10
Просмотров: 1915
Последний ответ 23 Март 2017, 07:04:05
от qupl
[Решено] При обновлении программ возникает ошибка

Автор phantasm

Ответов: 17
Просмотров: 13148
Последний ответ 21 Сентябрь 2014, 17:47:17
от phantasm
[РЕШЕНО] Ошибка в kwrite или нет?

Автор Metrix

Ответов: 3
Просмотров: 2320
Последний ответ 08 Март 2011, 00:38:52
от Ghostdmn
Ошибка при установке flashplugin-nonfree

Автор dmitry1903

Ответов: 4
Просмотров: 1091
Последний ответ 14 Сентябрь 2017, 02:25:21
от dmitry1903
Google chrome ошибка сегментирования

Автор Ferox

Ответов: 24
Просмотров: 4537
Последний ответ 11 Октябрь 2014, 20:27:06
от kon-dv